# $Id: Makefile.NT,v 1.1 1999/07/05 21:22:47 dave Exp $

# Copyright (C), 1999, Enbridge Inc.
# Copyright (C), 1999 dave Carrigan

APSRC="c:\src\apache_1.3.4"
LDAPSDK="c:\netscape\ldapsdk"

# Change this to CoreD if you built the debug version of Apache
APBUILD=CoreR

# Uncomment this if you want the Frontpage hack. AFIK, Frontpage 
# extensions aren't available for Apache/NT, so there's probably not much 
# point in using this
#FRONTPAGE=/D AUTH_LDAP_FRONTPAGE_HACK

# Uncomment this if you want to communicate with a secure directory server
#SSL=/D WITH_SSL

EXTRA_CFLAGS=$(SSL) $(FRONTPAGE)

CC=cl.exe
CFLAGS=/nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS"\
	/Fpauth_ldap.pch /YX /FD /c /I"$(APSRC)\src\include" \
	/"I$(LDAPSDK)\include" $(EXTRA_CFLAGS)

LD=link.exe
LDFLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib \
	advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib \
	odbccp32.lib /nologo /subsystem:windows /dll /incremental:no \
	/pdb:auth_ldap.pdb /machine:I386 /out:auth_ldap.dll \
	/implib:auth_ldap.lib 

OBJS= auth_ldap.obj \
	auth_ldap_cache.obj \
	auth_ldap_config.obj

auth_ldap.dll: $(OBJS)
    $(LD) $(LDFLAGS) $(OBJS) \
	"$(LDAPSDK)\lib\nsldapssl32v30.lib" \
	"$(APSRC)\src\CoreR\ApacheCore.lib"


auth_ldap.obj: auth_ldap.c auth_ldap.h
	$(CC) $(CFLAGS) auth_ldap.c

auth_ldap_cache.obj: auth_ldap_cache.c auth_ldap.h
	$(CC) $(CFLAGS) auth_ldap_cache.c

auth_ldap_config.obj: auth_ldap_config.c auth_ldap.h
	$(CC) $(CFLAGS) auth_ldap_config.c

clean:
	-@erase auth_ldap.obj
	-@erase auth_ldap_cache.obj
	-@erase auth_ldap_config.obj
	-@erase auth_ldap.dll
	-@erase auth_ldap.exp
	-@erase auth_ldap.lib
	-@erase auth_ldap.pch
	-@erase vc50.idb
